FROM sonatype/nexus3:3.38.0

LABEL maintainer "Team CNO"

ARG KEYCLOAK_PLUGIN_VERSION=0.5.0

ADD https://github.com/flytreeleft/nexus3-keycloak-plugin/releases/download/v${KEYCLOAK_PLUGIN_VERSION}/nexus3-keycloak-plugin-${KEYCLOAK_PLUGIN_VERSION}-bundle.kar /opt/sonatype/nexus/deploy/

USER 0 
RUN chmod 644 /opt/sonatype/nexus/deploy/*

USER nexus

